QGIS Application - Bug report #9656
Scroll bar missing from python log messages.
2014-02-25 10:44 AM - Donovan Cameron

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18224

Description

| just got a large python error message from a plugin when qgis started.

Noticed the scrollbar on the right is missing for the python tab on the Log Messages panel. Had to copy and paste error msg into text

editor to be able to see the entire thing.

But that also means, | can only copy and paste the 1st log message about python, and have to use up/down arrow keys to look for other

messages.

Looks like the scrollbar could probably be added to the python tab in the log messages panel.

Associated revisions

Revision 7581370b - 2014-04-28 02:26 PM - Salvatore Larosa

Fixes #9656 - allows to scroll per pixel vertically in the log messages tabs

History

#1 - 2014-02-25 10:48 AM - Donovan Cameron

This is on Linux 64-bit, Arch.

#2 - 2014-03-01 03:52 AM - Giovanni Manghi

- Target version set to Version 2.4
- Status changed from Open to Feedback

as for the other similar ticket | cannot confirm or I'm looking at the wrong place.

#3 - 2014-03-01 08:27 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2014-03-01 08:58 AM - Donovan Cameron
- File windows_python_scroll.png added

Here's the screen from Windows 8.1 64bit (OSGeo4W) showing the missing scroll-bar in Python tab for the log messages panel.
The message from python is different in Linux, but | don't see a scroll bar there either.

#5 - 2014-03-02 01:00 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

ok, cannot confirm on both Mint (Cinnamon DE) and Windows 7.

#6 - 2014-04-28 05:26 AM - Salvatore Larosa
- Status changed from Open to Closed

Fixed in changeset commit:"7581370b35cbfc11b4e2485cfc4c1d3383d22205".
